Karia
ReferencesOpenapiEmployer

Create employer

POST
/organisation/{orgId}/workspace/{workspaceId}/employer

Create an employer in the specified organisation and workspace.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

orgId*string
workspaceId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.karia.com.au/api/v0/organisation/string/workspace/string/employer" \  -H "Content-Type: application/json" \  -d '{    "businessId": "string",    "name": "string",    "tradingName": "string",    "industry": "accounting",    "streetNumber": "string",    "streetName": "string",    "suburb": "string",    "state": "act",    "postCode": "string",    "country": "string",    "fbtTreatmentType": "standard",    "invoiceTerms": "7_days"  }'
{
  "id": 0
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}